function clutterDetectNRemove(path)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%  Train on data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath 'LibSVM';
addpath 'clutterDetection';
addpath 'clutterRemoval';

% Loading dataMatrix of feature-extracted files
load('dataMatrix.mat','dataMatrix');
dataMatrix = dataMatrix(3:9,1:100);

c1Train = [1:50];
%c1Test = [31:50];
c2Train = [50:100];
%c2Test = [81:100];

% Creating train matrices for both classes
trainMatrix = [dataMatrix(:,c1Train) dataMatrix(:,c2Train)];

class1 = -1;
class2 = 1;

% Attaching labels
trainLabels = [repmat(class1,1,length(c1Train)) repmat(class2,1,length(c2Train))];

%SVM LIB METHODS ARE BEING CALLED
normalizedDataMatrix = Normalize(trainMatrix);
scaledNormalizedDataMatrix = Scale(normalizedDataMatrix, -1, 1);

% TRAIN
[AlphaY, SVs, Bias, Parameters, nSV, nLabel] = LinearSVC(scaledNormalizedDataMatrix, trainLabels,1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  Run on each file
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fullPath = [path '*.*if']

fileList = dir(fullPath);

[noOfFiles,a] = size(fileList);

for fileId = 1:noOfFiles
    try
        fname = strcat(path,fileList(fileId).name)
        % As long as detection says therez a clutter, keep running it
        
        for i=1:4      % assuming max 4 iterations (in nearly all cases, it stops before that anyways)
            if(clutterDetect(fname, AlphaY, SVs, Bias, Parameters)== 1)
                blobRemoval(fname);
            else
                break;
            end
        end
        i               % print i to verify if 
                        % it didnt stop - here is where detection fails (3
                        % files out of 52, as per now)

    catch
        continue
    end
    
end
    