%function ClutterDetectionTnT(noisyRoot, cleanRoot)

noisyRoot = '\\lampfs01\lamp\Users\mudit\Lamp\ClutterData\images\';
cleanRoot = '\\lampfs01\lamp\Users\mudit\Lamp\ClutterData\cleanImages\';

noisyPath = [noisyRoot '*.tif']
cleanPath = [cleanRoot '*.tif']

noisyFiles = dir(noisyPath);
cleanFiles = dir(cleanPath);

class1 = -1;
class2 = 1;

% Class1
noOfFiles = length(noisyFiles);

% Creating dataMatrix
% Filling in noisy images first
dataMatrix = [];
classLabels = [];
for fileId = 1:noOfFiles
    try
        fname = strcat(noisyRoot,noisyFiles(fileId).name);
        dataMatrix = [dataMatrix [fileId; class1; featureExtraction(fname)]];
    catch
        continue
    end
    
end

% Class2
% Filling in clean images FVs later (col-wise) in dataMatrix
noOfFiles = length(cleanFiles);
for fileId = 1:noOfFiles
    try
        fname = strcat(cleanRoot,cleanFiles(fileId).name)
        dataMatrix = [dataMatrix [fileId+length(noisyFiles); class2; featureExtraction(fname)]];
    catch
        continue
    end
    
end

save('dataMatrix.mat','dataMatrix');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
addpath 'C:\Programs\matlab701\work\PR\Project2\LibSVM';

load('dataMatrix.mat','dataMatrix');
dataMatrix = dataMatrix(3:9,1:100);

c1Train = [1:30];
c1Test = [31:50];
c2Train = [50:80];
c2Test = [81:100];

trainMatrix = [dataMatrix(:,c1Train) dataMatrix(:,c2Train)];
testMatrix = [dataMatrix(:,c1Test) dataMatrix(:,c2Test)];

class1 = -1;
class2 = 1;

trainLabels = [repmat(class1,1,length(c1Train)) repmat(class2,1,length(c2Train))];
testLabels = [repmat(class1,1,length(c1Test)) repmat(class2,1,length(c2Test))];

%SVM LIB METHODS ARE BEING CALLED
normalizedDataMatrix = Normalize(trainMatrix);
scaledNormalizedDataMatrix = Scale(normalizedDataMatrix, -1, 1);

[AlphaY, SVs, Bias, Parameters, nSV, nLabel] = LinearSVC(scaledNormalizedDataMatrix, trainLabels,1);

%Testing
[ClassRate, DecisionValue, Ns, ConfMatrix, PreLabels]= SVMTest(testMatrix, testLabels, AlphaY, SVs, Bias,Parameters, nSV, nLabel);

%PERCENTAGE ACCURACY
ClassRate*100   


