function blobRemoval(fname)

    
%fname = '\\lampfs01\lamp\Users\mudit\Lamp\ClutterData\workingDir\AFGP-2002-800122ao.tif';
heFname = strcat(fname,'.he.tif'); %half-erosion
blobFname = strcat(fname,'.blobs.tif'); %blobs-extracted
outFname = strcat(fname,'.cr.tif'); % blob-removed

tic
% Reading binary image
block = imread(fname);

% 0 is black, 1 is white
block = logical(block);
%imshow(block);

block = ~block;

% Now 0 is white, 1 is black (foreground)

origBlock = block;

% Counting total black pixs in the block
initialPix = sum(sum(block));

%                 i = 1;
%                 blockArray{i} = block;
    
[r c] = size(block);

% Distance transform (increasing inside)
dt = bwdist(~origBlock);
maxDist = max(max(dt));
halfEroded = (dt>maxDist/2);

imwrite(~halfEroded,heFname);

% Half-eroded skeletons are left
% Use these to remove all CCs except the blobs
% Getting the indices of eroded skeleton
skelInd = find(halfEroded == 1);
% Labeling the original block
labBlock = bwlabel(origBlock);
% Getting the labels of CCs which overlap with ...
% ... indices of eroded skeleton
labelsOnSkel = unique(labBlock(skelInd));

% Creating image with only blobs
blobBlock = zeros(r,c);
for lab = 1:length(labelsOnSkel)
    labInd = find(labBlock == labelsOnSkel(lab));
    blobBlock(labInd) = 1;        
end

%imshow(blobBlock);
imwrite(~blobBlock, blobFname);

blobBlock = densify(blobBlock);

%distance Transform on the blob block (increasing inside)
dt = floor(bwdist(~blobBlock));

% Distance Contours from the skeleton (increasing outside)
dtSkel = floor(bwdist(halfEroded));
%diff = dtSkel-dt;

for contour = 1:max(max(dt))
    ptsOnContour = find(dt == contour);
    noOfSkelContours(contour) = length(unique(dtSkel(ptsOnContour)));
end
plot(noOfSkelContours);
pause;
txtBranchesTh = getTxtBranchesTh(noOfSkelContours);

if(txtBranchesTh > -1)
    
    % Shrinking the blob only where it gets rid of text-branches
    shrunkInd = find(dt > txtBranchesTh);
    shrunk = zeros(r,c);
    shrunk(shrunkInd) = 1;

    % Dilating the shrunk-blob to original size
    dilateShrunk = floor(bwdist(shrunk));
    blobInd = find(dilateShrunk < txtBranchesTh+2);

    %final = shrunk;
    %final(surrContour) = 1;

    %diff = origBlock - final;
    finalBlock = origBlock;
    finalBlock(blobInd) = 0;
else
    finalBlock = origBlock;
end

imshow(~finalBlock);

imwrite(~finalBlock,outFname);

toc